

DELIMITER $$

DROP TRIGGER IF EXISTS lotes_movimientos_AFTER_INSERT$$
CREATE  TRIGGER `lotes_movimientos_AFTER_INSERT` AFTER INSERT ON `lotes_movimientos` FOR EACH ROW
BEGIN

/*ingreso de compra*/
if new.ref='entrada' then
begin
insert into lotes_cantidades select l.id_articulo,lm.almacen,l.lote,l.fecha_vencimiento,lm.cantidad from lotes l inner join lotes_movimientos lm on lm.id_lote=l.id where lm.id=new.id on duplicate key update stock =stock + lm.cantidad;
end;
end if;
/*ingreso de traslado*/
if new.ref='entrada-tr' then
begin
insert into lotes_cantidades select l.id_articulo,lm.almacen,l.lote,l.fecha_vencimiento,lm.cantidad from lotes l inner join lotes_movimientos lm on lm.id_lote=l.id where lm.id=new.id on duplicate key update stock =stock + lm.cantidad;
end;
end if;
/*salida o venta*/
if new.ref='salida' then
begin
insert into lotes_cantidades select l.id_articulo,lm.almacen,l.lote,l.fecha_vencimiento,(lm.cantidad*-1) from lotes l inner join lotes_movimientos lm on lm.id_lote=l.id where lm.id=new.id on duplicate key update stock =stock - lm.cantidad;
end;
end if;
/*salida por traslado*/
if new.ref='salida-tr' then
begin
insert into lotes_cantidades select l.id_articulo,lm.almacen,l.lote,l.fecha_vencimiento,(lm.cantidad*-1) from lotes l inner join lotes_movimientos lm on lm.id_lote=l.id where lm.id=new.id on duplicate key update stock =stock - lm.cantidad;
end;
end if;
END$$
DELIMITER ;


DELIMITER $$

DROP TRIGGER IF EXISTS lotes_movimientos_AFTER_DELETE$$
CREATE  TRIGGER `lotes_movimientos_AFTER_DELETE` AFTER DELETE ON `lotes_movimientos` FOR EACH ROW
BEGIN
/*ingreso de compra*/
if old.ref='entrada' then
begin
insert into lotes_cantidades select l.id_articulo,old.almacen,l.lote,l.fecha_vencimiento,(old.cantidad*-1) from lotes l where l.id=old.id_lote on duplicate key update stock =stock - old.cantidad;
end;
end if;
/*ingreso de traslado*/
if old.ref='entrada-tr' then
begin
insert into lotes_cantidades select l.id_articulo,old.almacen,l.lote,l.fecha_vencimiento,(old.cantidad*-1) from lotes l where l.id=old.id_lote on duplicate key update stock =stock - old.cantidad;
end;
end if;
/*salida o venta*/
if old.ref='salida' then
begin
insert into lotes_cantidades select l.id_articulo,old.almacen,l.lote,l.fecha_vencimiento,old.cantidad from lotes l where l.id=old.id_lote on duplicate key update stock =stock + old.cantidad;
end;
end if;
/*salida por traslado*/
if old.ref='salida-tr' then
begin
insert into lotes_cantidades select l.id_articulo,old.almacen,l.lote,l.fecha_vencimiento,old.cantidad from lotes l where l.id=old.id_lote on duplicate key update stock =stock + old.cantidad;
end;
end if;
END$$
DELIMITER ;
